Bug 179916 - [PATCH] audio/liblo: update to 0.27, take maintainership
Summary: [PATCH] audio/liblo: update to 0.27, take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-24 04:20 UTC by nemysis
Modified: 2013-07-12 18:50 UTC (History)
1 user (show)

See Also:


Attachments
liblo-0.27.patch (5.77 KB, patch)
2013-06-24 04:20 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2013-06-24 04:20:01 UTC
- Update to 0.27
- Take maintainership
- Shorten header
- Add license (LGPL21)
- Add dependency for devel/doxygen
- Add manual pages
- Add docs
- Add examples
- Add DOCS DOXYGEN EXAMPLES Options
- Trim files/patch-src-lo_types_internal.h
- Remove not needed patch files/patch-src-server.c
- Trim pkg-descr
- Trim pkg-plist

Generated and tested manually, tested with port test and with RedPorts, sent with FreeBSD Port Tools 0.99_8 (mode: update, diff: ports)

How-To-Repeat: 
Needs devel/doxygen for generating manpages.

Build log

https://redports.org/buildarchive/20130624024400-49854/
Comment 1 dfilter service freebsd_committer 2013-07-12 18:45:00 UTC
Author: deischen
Date: Fri Jul 12 17:44:49 2013
New Revision: 322859
URL: http://svnweb.freebsd.org/changeset/ports/322859

Log:
  From the (new) maintainer:
  
    - Update to 0.27
    - Take maintainership
    - Shorten header
    - Add license (LGPL21)
    - Add dependency for devel/doxygen
    - Add manual pages
    - Add docs
    - Add examples
    - Add DOCS DOXYGEN EXAMPLES Options
    - Trim files/patch-src-lo_types_internal.h
    - Remove not needed patch files/patch-src-server.c
    - Trim pkg-descr
    - Trim pkg-plist
  
  Note that the previous maintainer was ports@.
  
  PR:		179916
  Submitted by:	nemysis at gmx dot ch (new maintainer)

Deleted:
  head/audio/liblo/files/patch-src-server.c
Modified:
  head/audio/liblo/Makefile
  head/audio/liblo/distinfo
  head/audio/liblo/files/patch-src-lo_types_internal.h
  head/audio/liblo/pkg-descr
  head/audio/liblo/pkg-plist

Modified: head/audio/liblo/Makefile
==============================================================================
--- head/audio/liblo/Makefile	Fri Jul 12 17:34:04 2013	(r322858)
+++ head/audio/liblo/Makefile	Fri Jul 12 17:44:49 2013	(r322859)
@@ -1,21 +1,53 @@
-# New ports collection makefile for:	liblo
-# Date created:		2006-12-04
-# Whom:			trasz <trasz@pin.if.uz.zgora.pl>
-#
+# Created by: trasz <trasz@pin.if.uz.zgora.pl>
 # $FreeBSD$
-#
 
 PORTNAME=	liblo
-PORTVERSION=	0.26
+PORTVERSION=	0.27
 CATEGORIES=	audio
 MASTER_SITES=	SF
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	nemysis@gmx.ch
 COMMENT=	Lightweight Open Sound Control implementation
 
+LICENSE=	LGPL21
+
+BUILD_DEPENDS=	doxygen:${PORTSDIR}/devel/doxygen
+
+USES=		pathfix
 GNU_CONFIGURE=	yes
 USE_GMAKE=	yes
 USE_LDCONFIG=	yes
-USES=	pathfix
+
+MAN3=		liblo.3 liblolowlevel.3 lo.h.3 lo_arg.3 lo_lowlevel.h.3 \
+		lo_osc_types.h.3 lo_timetag.3 lo_types.h.3 pp.3
+
+PORTDOCS=	*
+
+DOCSRCDIR1=	${WRKSRC}
+DOC_FILES1=	AUTHORS ChangeLog NEWS README TODO
+
+PORTEXAMPLES=	example_client example_server \
+		example_tcp_echo_server nonblocking_server_example
+
+OPTIONS_DEFINE=	DOCS DOXYGEN EXAMPLES
+
+.include <bsd.port.options.mk>
+
+post-install:
+	cd ${WRKSRC}/doc/man/man3 && ${INSTALL_MAN} ${MAN3} ${MAN3PREFIX}/man/man3
+
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${DOC_FILES1:S|^|${DOCSRCDIR1}/|} ${DOCSDIR}
+.endif
+
+.if ${PORT_OPTIONS:MDOXYGEN} && ${PORT_OPTIONS:MDOCS}
+	@(cd ${WRKSRC}/doc && ${COPYTREE_SHARE} html ${DOCSDIR})
+.endif
+
+.if ${PORT_OPTIONS:MEXAMPLES}
+	@${MKDIR} ${EXAMPLESDIR}
+	${INSTALL_SCRIPT} ${PORTEXAMPLES:S|^|${WRKSRC}/examples/|} ${EXAMPLESDIR}
+.endif
 
 .include <bsd.port.mk>

Modified: head/audio/liblo/distinfo
==============================================================================
--- head/audio/liblo/distinfo	Fri Jul 12 17:34:04 2013	(r322858)
+++ head/audio/liblo/distinfo	Fri Jul 12 17:44:49 2013	(r322859)
@@ -1,2 +1,2 @@
-SHA256 (liblo-0.26.tar.gz) = a636fb09f8178ad0d5303e94fec37b182d3062a0e3daee85eed2a39ab6232258
-SIZE (liblo-0.26.tar.gz) = 519750
+SHA256 (liblo-0.27.tar.gz) = 67b48e1e63fddea60bb4a0f0c25fba32ea42d2a55877752aa342c478b59374b6
+SIZE (liblo-0.27.tar.gz) = 533684

Modified: head/audio/liblo/files/patch-src-lo_types_internal.h
==============================================================================
--- head/audio/liblo/files/patch-src-lo_types_internal.h	Fri Jul 12 17:34:04 2013	(r322858)
+++ head/audio/liblo/files/patch-src-lo_types_internal.h	Fri Jul 12 17:44:49 2013	(r322859)
@@ -1,10 +1,18 @@
---- src/lo_types_internal.h.orig	Mon Dec  4 23:29:22 2006
-+++ src/lo_types_internal.h	Mon Dec  4 23:29:32 2006
-@@ -9,6 +9,7 @@
+--- src/lo_types_internal.h.orig	2013-05-22 18:34:31.000000000 +0200
++++ src/lo_types_internal.h	2013-06-24 01:54:53.000000000 +0200
+@@ -20,6 +20,7 @@
+ #else
+ #define closesocket close
+ #include <netdb.h>
++#include <netinet/in.h>
+ #include <arpa/inet.h>
  #endif
  
+@@ -33,6 +34,7 @@
+ 
+ #ifdef ENABLE_THREADS
  #include <pthread.h>
 +#include <sys/socket.h>
+ #endif
  
  #include "lo/lo_osc_types.h"
- 

Modified: head/audio/liblo/pkg-descr
==============================================================================
--- head/audio/liblo/pkg-descr	Fri Jul 12 17:34:04 2013	(r322858)
+++ head/audio/liblo/pkg-descr	Fri Jul 12 17:44:49 2013	(r322859)
@@ -1,4 +1,8 @@
-liblo is an implementation of the Open Sound Control
-protocol for POSIX systems.
+liblo is a lightweight library that provides an easy to use implementation of
+the Open Sound Control protocol for POSIX systems. For more information about
+the Open Sound Control protocol, please see:
+
+  - [OSC at CNMAT](http://www.cnmat.berkeley.edu/OpenSoundControl/)
+    - [opensoundcontrol.org](http://www.opensoundcontrol.org/)
 
 WWW: http://liblo.sourceforge.net/

Modified: head/audio/liblo/pkg-plist
==============================================================================
--- head/audio/liblo/pkg-plist	Fri Jul 12 17:34:04 2013	(r322858)
+++ head/audio/liblo/pkg-plist	Fri Jul 12 17:44:49 2013	(r322859)
@@ -1,15 +1,16 @@
 bin/oscdump
 bin/oscsend
-include/lo/lo_errors.h
 include/lo/lo.h
+include/lo/lo_endian.h
+include/lo/lo_errors.h
 include/lo/lo_lowlevel.h
+include/lo/lo_macros.h
+include/lo/lo_osc_types.h
+include/lo/lo_serverthread.h
 include/lo/lo_throw.h
 include/lo/lo_types.h
-include/lo/lo_osc_types.h
-include/lo/lo_endian.h
-include/lo/lo_macros.h
-lib/liblo.so.7
-lib/liblo.so
 lib/liblo.la
+lib/liblo.so
+lib/liblo.so.8
 libdata/pkgconfig/liblo.pc
 @dirrm include/lo
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 2 Daniel Eischen freebsd_committer 2013-07-12 18:45:09 UTC
State Changed
From-To: open->closed

Patch committed, you are the new maintainer.  Thanks for your contribution!